org.apache.uima.fit.descriptor

## Annotation Type MimeTypeCapability

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface MimeTypeCapability

  Provides information on the MIME types supported by a component.

        @MimeTypeCapability({ "application/xml", "text/html" })

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static String` | `NO_DEFAULT_VALUE` Provides the default value that tells the CapabilityFactory that no value has been provided.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `value` The MIME types supported by this component.

- - ### Field Detail

    - #### NO_DEFAULT_VALUE

          public static final String NO_DEFAULT_VALUE

      Provides the default value that tells the CapabilityFactory that no value has been provided.

  - ### Element Detail

    - #### value

          public abstract String[] value

      The MIME types supported by this component.
      Returns:
        the supported MIME types
      Default:
        "org.apache.uima.fit.descriptor.MimeTypeCapability.NO_DEFAULT_VALUE"

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.